Subject: bug#22469: closed (Re: bug#22469: org-mode export fail)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Dec 2017 21:44:02 +0000

Your bug report

#22469: org-mode export fail

which was filed against the emacs,org-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22469: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22469
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22469: org-mode export fail
From: Nicolas Goaziou <[email-masked]>
To: Kyle Meyer <[email-masked]>
Cc: [email-masked], Phillip Lord <[email-masked]>
Date: Fri, 01 Dec 2017 22:43:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Kyle Meyer <[email-masked]> writes:

> [email-masked] (Phillip Lord) writes:
>
>> Kyle Meyer <[email-masked]> writes:
>
> [...]
>
>>> This should be fixed on the Org side as of 44c8cd7 (2015-08-10):
>
> [...]
>
>> Okay. What's the best way to get this fix onto the release branch?
>
> I'm not sure, but I just asked a related question in bug#22399:
>
>     http://thread.gmane.org/gmane.emacs.bugs/111992

Closing this bug since the issue is solved and the fix landed in Emacs
release branch.

Regards,

Subject: org-mode export fail
From: [email-masked] (Phillip Lord)
To: [email-masked]
Date: Tue, 26 Jan 2016 14:14:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I am seeing this error from org-mode when trying to export to HTML. The
main org file has an include line like so:

#+INCLUDE: "sisyphus.org" :lines "28-"

The error occurs on a clean emacs -q run from head of Emacs-25.

I don't quite understand where the error is coming from, given that this
simple export has nothing to do with agenda files.

Org-files are attached.

Thanks!

Phil

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  file-exists-p(nil)
  org-check-agenda-file(nil)
  org-agenda-prepare-buffers((nil))
  org-map-entries(#[nil "\300\301 !\207" [org-reduced-level org-current-level] 2])
  org-export--prepare-file-contents("/home/phillord/emacs/sisyphus/sisyphus.org" "28-" 0 1)
  org-export-expand-include-keyword()
  org-export-as(html nil nil nil (:output-file "./sisyphus-doc.html"))
  org-export-to-file(html "./sisyphus-doc.html" nil nil nil nil nil)
  org-html-export-to-html(nil nil nil nil)
  org-export-dispatch(nil)
  funcall-interactively(org-export-dispatch nil)
  call-interactively(org-export-dispatch nil nil)
  command-execute(org-export-dispatch)